commit:     ea267de4b543a8dfb3b4f423afe95588f039c0ba
Author:     Michal Rostecki <vadorovsky <AT> protonmail <DOT> com>
AuthorDate: Wed Aug  6 19:10:24 2025 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Wed Aug  6 20:05:57 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ea267de4

llvm-runtimes/libunwind: Set CTARGET to CHOST if the package is not cross

The multilib eclass doesn't set the CTARGET. Therefore, using CTARGET
was breaking the multilib builds. At the same time, using CTARGET is
necessary for crossdev to work.

The long term solution should be fixing multilib eclass, but for now,
make sure that CTARGET is correct inside the ebuild.

Bug: https://bugs.gentoo.org/961153
Signed-off-by: Michal Rostecki <vadorovsky <AT> protonmail.com>
Part-of: https://github.com/gentoo/gentoo/pull/43361
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 llvm-runtimes/libunwind/libunwind-19.1.7.ebuild      | 6 ++++++
 llvm-runtimes/libunwind/libunwind-20.1.8.ebuild      | 6 ++++++
 llvm-runtimes/libunwind/libunwind-21.1.0.9999.ebuild | 6 ++++++
 llvm-runtimes/libunwind/libunwind-22.0.0.9999.ebuild | 6 ++++++
 4 files changed, 24 insertions(+)

diff --git a/llvm-runtimes/libunwind/libunwind-19.1.7.ebuild 
b/llvm-runtimes/libunwind/libunwind-19.1.7.ebuild
index ddaa35f281f4..871f4e746cc0 100644
--- a/llvm-runtimes/libunwind/libunwind-19.1.7.ebuild
+++ b/llvm-runtimes/libunwind/libunwind-19.1.7.ebuild
@@ -55,6 +55,12 @@ multilib_src_configure() {
        # also separately bug #863917
        filter-lto
 
+       # Workaround for bgo #961153.
+       # TODO: Fix the multilib.eclass, so it sets CTARGET properly.
+       if ! is_crosspkg; then
+               export CTARGET=${CHOST}
+       fi
+
        if use clang; then
                local -x CC=${CTARGET}-clang
                local -x CXX=${CTARGET}-clang++

diff --git a/llvm-runtimes/libunwind/libunwind-20.1.8.ebuild 
b/llvm-runtimes/libunwind/libunwind-20.1.8.ebuild
index 50b05b965a37..6e6e046dfacd 100644
--- a/llvm-runtimes/libunwind/libunwind-20.1.8.ebuild
+++ b/llvm-runtimes/libunwind/libunwind-20.1.8.ebuild
@@ -55,6 +55,12 @@ multilib_src_configure() {
        # also separately bug #863917
        filter-lto
 
+       # Workaround for bgo #961153.
+       # TODO: Fix the multilib.eclass, so it sets CTARGET properly.
+       if ! is_crosspkg; then
+               export CTARGET=${CHOST}
+       fi
+
        if use clang; then
                local -x CC=${CTARGET}-clang
                local -x CXX=${CTARGET}-clang++

diff --git a/llvm-runtimes/libunwind/libunwind-21.1.0.9999.ebuild 
b/llvm-runtimes/libunwind/libunwind-21.1.0.9999.ebuild
index 4824e494d9d1..5e8131829d64 100644
--- a/llvm-runtimes/libunwind/libunwind-21.1.0.9999.ebuild
+++ b/llvm-runtimes/libunwind/libunwind-21.1.0.9999.ebuild
@@ -54,6 +54,12 @@ multilib_src_configure() {
        # also separately bug #863917
        filter-lto
 
+       # Workaround for bgo #961153.
+       # TODO: Fix the multilib.eclass, so it sets CTARGET properly.
+       if ! is_crosspkg; then
+               export CTARGET=${CHOST}
+       fi
+
        if use clang; then
                local -x CC=${CTARGET}-clang
                local -x CXX=${CTARGET}-clang++

diff --git a/llvm-runtimes/libunwind/libunwind-22.0.0.9999.ebuild 
b/llvm-runtimes/libunwind/libunwind-22.0.0.9999.ebuild
index 4824e494d9d1..5e8131829d64 100644
--- a/llvm-runtimes/libunwind/libunwind-22.0.0.9999.ebuild
+++ b/llvm-runtimes/libunwind/libunwind-22.0.0.9999.ebuild
@@ -54,6 +54,12 @@ multilib_src_configure() {
        # also separately bug #863917
        filter-lto
 
+       # Workaround for bgo #961153.
+       # TODO: Fix the multilib.eclass, so it sets CTARGET properly.
+       if ! is_crosspkg; then
+               export CTARGET=${CHOST}
+       fi
+
        if use clang; then
                local -x CC=${CTARGET}-clang
                local -x CXX=${CTARGET}-clang++

Reply via email to